c26634210d9c39d7e126e88f7fe3e45f9d83ab5a
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>TOX_DIR</name>
73           <description>Path to directory containing tox.ini file.
74 </description>
75           <defaultValue/>
76         </hudson.model.StringParameterDefinition>
77         <hudson.model.StringParameterDefinition>
78           <name>TOX_ENVS</name>
79           <description>Tox environments to run build against.
80 Example: docs,py2,py3
81 </description>
82           <defaultValue/>
83         </hudson.model.StringParameterDefinition>
84       </parameterDefinitions>
85     </hudson.model.ParametersDefinitionProperty>
86   </properties>
87   <scm class="hudson.plugins.git.GitSCM">
88     <configVersion>2</configVersion>
89     <userRemoteConfigs>
90       <hudson.plugins.git.UserRemoteConfig>
91         <name>origin</name>
92         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
93         <url>git@github.com:example-org/releng/ciman</url>
94         <credentialsId>test-credential</credentialsId>
95       </hudson.plugins.git.UserRemoteConfig>
96     </userRemoteConfigs>
97     <branches>
98       <hudson.plugins.git.BranchSpec>
99         <name>**</name>
100       </hudson.plugins.git.BranchSpec>
101     </branches>
102     <excludedUsers/>
103     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <authorOrCommitter>false</authorOrCommitter>
106     <wipeOutWorkspace>true</wipeOutWorkspace>
107     <pruneBranches>false</pruneBranches>
108     <remotePoll>false</remotePoll>
109     <gitTool>Default</gitTool>
110     <submoduleCfg class="list"/>
111     <relativeTargetDir/>
112     <reference/>
113     <gitConfigName/>
114     <gitConfigEmail/>
115     <skipTag>true</skipTag>
116     <scmName/>
117     <useShallowClone>false</useShallowClone>
118     <ignoreNotifyCommit>false</ignoreNotifyCommit>
119     <extensions>
120       <hudson.plugins.git.extensions.impl.SubmoduleOption>
121         <disableSubmodules>false</disableSubmodules>
122         <recursiveSubmodules>true</recursiveSubmodules>
123         <trackingSubmodules>false</trackingSubmodules>
124         <reference/>
125         <timeout>10</timeout>
126       </hudson.plugins.git.extensions.impl.SubmoduleOption>
127       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
128     </extensions>
129   </scm>
130   <triggers class="vector">
131     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
132       <spec/>
133       <adminlist/>
134       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
135       <whitelist/>
136       <orgslist/>
137       <cron/>
138       <triggerPhrase>^recheck$</triggerPhrase>
139       <onlyTriggerPhrase>false</onlyTriggerPhrase>
140       <useGitHubHooks>true</useGitHubHooks>
141       <permitAll>true</permitAll>
142       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
143       <extensions>
144         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145           <commitStatusContext>JJB Verify</commitStatusContext>
146         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
147       </extensions>
148     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
149   </triggers>
150   <builders>
151     <hudson.tasks.Shell>
152       <command>#!/bin/bash
153 # SPDX-License-Identifier: EPL-1.0
154 ##############################################################################
155 # Copyright (c) 2017 The Linux Foundation and others.
156 #
157 # All rights reserved. This program and the accompanying materials
158 # are made available under the terms of the Eclipse Public License v1.0
159 # which accompanies this distribution, and is available at
160 # http://www.eclipse.org/legal/epl-v10.html
161 ##############################################################################
162 echo &quot;---&gt; lftools-install.sh&quot;
163
164 # Script to install lftools via a version passed in via lf-infra-parameters
165 #
166 # Required parameters:
167 #
168 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
169 #                      set to a strict version number like '1.2.3' or using
170 #                      PEP-440 definitions.
171 #
172 #                      Examples:
173 #                          &lt;1.0.0
174 #                          &gt;=1.0.0,&lt;2.0.0
175 #
176 # By default a released version of lftools should always be used.
177 # The purpose of the 2 variables below is so that lftools devs can test
178 # unreleased versions of lftools. There are 2 methods to install a dev version
179 # of lftools:
180 #
181 #     1) gerrit patch: Used to test a patch that has not yet been merged.
182 #                      To do this set something like this:
183 #                          LFTOOLS_MODE=gerrit
184 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
185 #
186 #     2) git branch: Used to install an lftools version from a specific branch.
187 #                    To use this set the variables as follows:
188 #                          LFTOOLS_MODE=git
189 #                          LFTOOLS_REFSPEC=master
190 #
191 #     3) release : The intended use case and default setting.
192 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
193
194 LFTOOLS_MODE=release  # release | git | gerrit
195 LFTOOLS_REFSPEC=master
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv --quiet &quot;/tmp/v/lftools&quot;
202 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
203 source &quot;/tmp/v/lftools/bin/activate&quot;
204 pip install --quiet --upgrade pip
205
206 case $LFTOOLS_MODE in
207     gerrit)
208         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
209         pushd /tmp/lftools
210         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
211         git checkout FETCH_HEAD
212         pip install --quiet --upgrade -r requirements.txt
213         pip install --quiet --upgrade -e .
214         popd
215         ;;
216
217     git)
218         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
219         ;;
220
221     release)
222         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
223             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
224         fi
225
226         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
227         ;;
228 esac
229
230 lftools --version
231
232 # pipdeptree prints out a lot of information because lftools pulls in many
233 # dependencies. Let's only print it if we want to debug.
234 # echo &quot;----&gt; Pip Dependency Tree&quot;
235 # pip install --quiet --upgrade pipdeptree
236 # pipdeptree
237 </command>
238     </hudson.tasks.Shell>
239     <hudson.tasks.Shell>
240       <command>#!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2017 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; tox-install.sh&quot;
251
252 # Ensure we fail the job if any steps fail.
253 # DO NOT set -u as virtualenv's activate script has unbound variables
254 set -e -o pipefail
255
256 virtualenv --quiet &quot;/tmp/v/tox&quot;
257 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
258 source &quot;/tmp/v/tox/bin/activate&quot;
259 pip install --quiet --upgrade pip
260 pip install --quiet --upgrade pipdeptree
261 pip install --quiet --upgrade tox argparse
262
263 echo &quot;----&gt; Pip Dependency Tree&quot;
264 pipdeptree
265
266 #!/bin/bash
267 # SPDX-License-Identifier: EPL-1.0
268 ##############################################################################
269 # Copyright (c) 2017 The Linux Foundation and others.
270 #
271 # All rights reserved. This program and the accompanying materials
272 # are made available under the terms of the Eclipse Public License v1.0
273 # which accompanies this distribution, and is available at
274 # http://www.eclipse.org/legal/epl-v10.html
275 ##############################################################################
276 echo &quot;---&gt; tox-run.sh&quot;
277
278 # Ensure we fail the job if any steps fail.
279 # DO NOT set -u as virtualenv's activate script has unbound variables
280 set -e -o pipefail
281
282 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
283 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
284
285 cd &quot;$WORKSPACE/$TOX_DIR&quot;
286
287 if [ -z &quot;$TOX_ENVS&quot; ]; then
288     TOX_ENVS=$(crudini --get tox.ini tox envlist)
289 fi
290
291 run_tox() {
292     local log_dir=&quot;$1&quot;
293     local env=&quot;$2&quot;
294
295     echo &quot;-----&gt; Running tox $env&quot;
296     if ! tox -e $env &gt; &quot;$log_dir/tox-$env.log&quot;; then
297         echo &quot;$env&quot; &gt;&gt; &quot;$log_dir/failed-envs.log&quot;
298     fi
299 }
300
301 TOX_ENVS=(${TOX_ENVS//,/ })
302 if hash parallel 2&gt;/dev/null; then
303     export -f run_tox
304     parallel --jobs 200% &quot;run_tox $ARCHIVE_TOX_DIR {}&quot; ::: ${TOX_ENVS[*]}
305 else
306     for env in &quot;${TOX_ENVS[@]}&quot;; do
307         run_tox &quot;$ARCHIVE_TOX_DIR&quot; &quot;$env&quot;
308     done
309 fi
310
311 if [ -f &quot;$ARCHIVE_TOX_DIR/failed-envs.log&quot; ]; then
312     failed_envs=($(cat &quot;$ARCHIVE_TOX_DIR/failed-envs.log&quot;))
313     echo &quot;ERROR: Failed the following builds: ${failed_envs[*]}&quot;
314     exit 1
315 fi
316
317 echo &quot;Completed tox runs.&quot;
318 </command>
319     </hudson.tasks.Shell>
320   </builders>
321   <publishers>
322     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
323       <buildSteps>
324         <hudson.tasks.Shell>
325           <command>#!/bin/bash
326 # SPDX-License-Identifier: EPL-1.0
327 ##############################################################################
328 # Copyright (c) 2017 The Linux Foundation and others.
329 #
330 # All rights reserved. This program and the accompanying materials
331 # are made available under the terms of the Eclipse Public License v1.0
332 # which accompanies this distribution, and is available at
333 # http://www.eclipse.org/legal/epl-v10.html
334 ##############################################################################
335 echo &quot;---&gt; sysstat.sh&quot;
336 set +e  # DON'T fail build if script fails.
337
338 OS=$(facter operatingsystem)
339 case &quot;$OS&quot; in
340     Ubuntu)
341         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
342
343         # Dont run the script when systat is not enabled by default
344         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
345             exit 0
346         fi
347     ;;
348     CentOS|RedHat)
349         SYSSTAT_PATH=&quot;/var/log/sa&quot;
350     ;;
351     *)
352         # nothing to do
353         exit 0
354     ;;
355 esac
356
357 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
358 mkdir -p &quot;$SAR_DIR&quot;
359 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
360 # convert sar data to ascii format
361 while IFS=&quot;&quot; read -r s
362 do
363     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
364 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
365
366 # DON'T fail build if script fails.
367 exit 0
368 </command>
369         </hudson.tasks.Shell>
370         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
371           <managedFiles>
372             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
373               <fileId>jenkins-log-archives-settings</fileId>
374               <targetLocation/>
375               <variable>SETTINGS_FILE</variable>
376             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
377           </managedFiles>
378         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
379         <EnvInjectBuilder>
380           <info>
381             <propertiesContent>SERVER_ID=logs</propertiesContent>
382           </info>
383         </EnvInjectBuilder>
384         <hudson.tasks.Shell>
385           <command>#!/bin/bash
386 # SPDX-License-Identifier: EPL-1.0
387 ##############################################################################
388 # Copyright (c) 2017 The Linux Foundation and others.
389 #
390 # All rights reserved. This program and the accompanying materials
391 # are made available under the terms of the Eclipse Public License v1.0
392 # which accompanies this distribution, and is available at
393 # http://www.eclipse.org/legal/epl-v10.html
394 ##############################################################################
395 echo &quot;---&gt; create-netrc.sh&quot;
396
397 # Ensure we fail the job if any steps fail.
398 set -eu -o pipefail
399
400 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
401 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
402     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
403     -v x:username -o &quot;:&quot; -v x:password \
404     &quot;$SETTINGS_FILE&quot;)
405
406 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
407 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
408 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
409
410 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
411 </command>
412         </hudson.tasks.Shell>
413         <hudson.tasks.Shell>
414           <command>#!/bin/bash
415 # SPDX-License-Identifier: EPL-1.0
416 ##############################################################################
417 # Copyright (c) 2017 The Linux Foundation and others.
418 #
419 # All rights reserved. This program and the accompanying materials
420 # are made available under the terms of the Eclipse Public License v1.0
421 # which accompanies this distribution, and is available at
422 # http://www.eclipse.org/legal/epl-v10.html
423 ##############################################################################
424 echo &quot;---&gt; lftools-install.sh&quot;
425
426 # Script to install lftools via a version passed in via lf-infra-parameters
427 #
428 # Required parameters:
429 #
430 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
431 #                      set to a strict version number like '1.2.3' or using
432 #                      PEP-440 definitions.
433 #
434 #                      Examples:
435 #                          &lt;1.0.0
436 #                          &gt;=1.0.0,&lt;2.0.0
437 #
438 # By default a released version of lftools should always be used.
439 # The purpose of the 2 variables below is so that lftools devs can test
440 # unreleased versions of lftools. There are 2 methods to install a dev version
441 # of lftools:
442 #
443 #     1) gerrit patch: Used to test a patch that has not yet been merged.
444 #                      To do this set something like this:
445 #                          LFTOOLS_MODE=gerrit
446 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
447 #
448 #     2) git branch: Used to install an lftools version from a specific branch.
449 #                    To use this set the variables as follows:
450 #                          LFTOOLS_MODE=git
451 #                          LFTOOLS_REFSPEC=master
452 #
453 #     3) release : The intended use case and default setting.
454 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
455
456 LFTOOLS_MODE=release  # release | git | gerrit
457 LFTOOLS_REFSPEC=master
458
459 # Ensure we fail the job if any steps fail.
460 # DO NOT set -u as virtualenv's activate script has unbound variables
461 set -e -o pipefail
462
463 virtualenv --quiet &quot;/tmp/v/lftools&quot;
464 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
465 source &quot;/tmp/v/lftools/bin/activate&quot;
466 pip install --quiet --upgrade pip
467
468 case $LFTOOLS_MODE in
469     gerrit)
470         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
471         pushd /tmp/lftools
472         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
473         git checkout FETCH_HEAD
474         pip install --quiet --upgrade -r requirements.txt
475         pip install --quiet --upgrade -e .
476         popd
477         ;;
478
479     git)
480         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
481         ;;
482
483     release)
484         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
485             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
486         fi
487
488         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
489         ;;
490 esac
491
492 lftools --version
493
494 # pipdeptree prints out a lot of information because lftools pulls in many
495 # dependencies. Let's only print it if we want to debug.
496 # echo &quot;----&gt; Pip Dependency Tree&quot;
497 # pip install --quiet --upgrade pipdeptree
498 # pipdeptree
499
500 #!/bin/bash
501 # SPDX-License-Identifier: EPL-1.0
502 ##############################################################################
503 # Copyright (c) 2017 The Linux Foundation and others.
504 #
505 # All rights reserved. This program and the accompanying materials
506 # are made available under the terms of the Eclipse Public License v1.0
507 # which accompanies this distribution, and is available at
508 # http://www.eclipse.org/legal/epl-v10.html
509 ##############################################################################
510 echo &quot;---&gt; logs-deploy.sh&quot;
511
512 # Ensure we fail the job if any steps fail.
513 set -eu -o pipefail
514
515 set -x  # Trace commands for this script to make debugging easier.
516
517 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
518 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
519
520 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
521 then
522     set +x # Disable trace since we no longer need it
523
524     echo &quot;WARNING: Logging server not set&quot;
525 else
526     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
527     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
528     BUILD_URL=&quot;${BUILD_URL}&quot;
529
530     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
531     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
532
533     set +x  # Disable trace since we no longer need it.
534
535     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
536 fi
537 </command>
538         </hudson.tasks.Shell>
539         <hudson.tasks.Shell>
540           <command>#!/bin/bash
541 # SPDX-License-Identifier: EPL-1.0
542 ##############################################################################
543 # Copyright (c) 2017 The Linux Foundation and others.
544 #
545 # All rights reserved. This program and the accompanying materials
546 # are made available under the terms of the Eclipse Public License v1.0
547 # which accompanies this distribution, and is available at
548 # http://www.eclipse.org/legal/epl-v10.html
549 ##############################################################################
550
551 # Clear log credential files
552 rm &quot;$SETTINGS_FILE&quot;
553 rm ~/.netrc
554 </command>
555         </hudson.tasks.Shell>
556         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
557           <regexp>^Build logs: .*</regexp>
558         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
559       </buildSteps>
560       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
561       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
562       <markBuildUnstable>false</markBuildUnstable>
563     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
564     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
565       <patterns>
566         <hudson.plugins.ws__cleanup.Pattern>
567           <pattern>**/*.jenkins-trigger</pattern>
568           <type>EXCLUDE</type>
569         </hudson.plugins.ws__cleanup.Pattern>
570       </patterns>
571       <deleteDirs>false</deleteDirs>
572       <cleanupMatrixParent>false</cleanupMatrixParent>
573       <externalDelete/>
574       <cleanWhenSuccess>true</cleanWhenSuccess>
575       <cleanWhenUnstable>true</cleanWhenUnstable>
576       <cleanWhenFailure>true</cleanWhenFailure>
577       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
578       <cleanWhenAborted>true</cleanWhenAborted>
579       <notFailBuild>true</notFailBuild>
580     </hudson.plugins.ws__cleanup.WsCleanup>
581   </publishers>
582   <buildWrappers>
583     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
584     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
585       <timeoutMinutes>10</timeoutMinutes>
586       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
587       <failBuild>true</failBuild>
588       <writingDescription>false</writingDescription>
589       <timeoutPercentage>0</timeoutPercentage>
590       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
591       <timeoutType>absolute</timeoutType>
592     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
593     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
594     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
595       <user>test-credential</user>
596     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
597     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
598   </buildWrappers>
599 </project>